/// <reference types="node" />
import { EventEmitter } from 'events';
import Page from './Page';
import { TSend, TGetPrefResult } from './types';
declare class Browser extends EventEmitter {
    private _send;
    constructor(arg: {
        send: TSend;
    });
    close(): Promise<void>;
    disconnect(): Promise<void>;
    getPref(pref: string, defaultBranch?: boolean): Promise<TGetPrefResult>;
    install(path: string, isTemporary: boolean): Promise<string | null>;
    newPage(): Promise<Page>;
    pages(): Promise<Page[]>;
    private _setContext;
    setPref(pref: string, value: string | number | boolean, defaultBranch?: boolean): Promise<void>;
    uninstall(id: string): Promise<void>;
}
export default Browser;
